androidhttpclient cannot be resolvedでコードエラー表示

  • このエントリーをはてなブックマークに追加

Android Studio1.4の環境でAndroid 4.0.2向けにHTTPClientを利用しようとしたらタイトルのようなエラーとなったので調べてみました。

解決URL:

http://stackoverflow.com/questions/32153318/httpclient-wont-import-in-android-studio

Android Studioのプロジェクト – Gradle – build.gradle を開き、中のandroid{} セクションに以下1行を追加するとエラーが取れました。


<i></i><i><span style="font-weight: 400;">//gradle 環境の build.gradleに以下セクションを追加する。</span></i>

<i><span style="font-weight: 400;">android{</span></i>

<span style="font-weight: 400;">useLibrary </span><b>'org.apache.http.legacy'</b>

<b>}</b>

  • このエントリーをはてなブックマークに追加

SNSでもご購読できます。